Package uk.ac.starlink.vo

## Class UwsJob.UnexpectedResponseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - uk.ac.starlink.vo.UwsJob.UnexpectedResponseException

- Enclosing class:
    UwsJob

      public static class UwsJob.UnexpectedResponseException
      extends java.io.IOException

  Exception which may be thrown if a UWS HTTP request receives a response code which is not as mandated by UWS, but not obviously an error. An example is getting a 200 rather than 303 from a job creation attempt.
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.net.HttpURLConnection` | `getConnection​()` | Returns the HTTP connection which supplied the response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

- - ### Method Detail

    - #### getConnection

          public java.net.HttpURLConnection getConnection​()

      Returns the HTTP connection which supplied the response. The response code, but probably not the content, has already been read.
      Returns:
        connection

Copyright © 2018 Central Laboratory of the Research Councils. All Rights Reserved.